Bug 299991 - Sound doesn't work on Intel DG965RY
Sound doesn't work on Intel DG965RY
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 07:33 EDT by Yoshida
Modified: 2009-01-08 23:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:54:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/root/scsconfig.log (54.51 KB, text/plain)
2007-09-21 07:33 EDT, Yoshida
no flags Details
Attachment file "/root/scsrun.log". (227 bytes, text/plain)
2007-09-25 07:58 EDT, Yoshida
no flags Details
/root/scsconfig.log (52.63 KB, text/plain)
2007-11-11 00:55 EST, Yoshida
no flags Details
/root/scsrun.log (3.04 KB, text/plain)
2007-11-11 00:56 EST, Yoshida
no flags Details
/root/scsrun.log (3.00 KB, text/plain)
2008-05-01 09:52 EDT, Yoshida
no flags Details
/root/scsconfig.log (55.13 KB, text/plain)
2008-05-01 09:53 EDT, Yoshida
no flags Details

  None (edit)
Description Yoshida 2007-09-21 07:33:40 EDT
Description of problem:
I have a Intel DG965RY motherboard. This board is used as the sound card below:

Vendor: Intel Corporation
Model: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Module: snd-hda-intel
Codec: SigmaTel STAC9227

I have used alsamixer to unmute everything.
I played the test sound again and again, but heard nothing.
I think it has a problem with the ALSA library,
but if no problem, it may have a problem with the snd-hda-intel kernel module
on the i386 platform.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.14-3.fc7.i386
kernel-2.6.22.4-65.fc7.i686

How reproducible: 
Always

Steps to Reproduce:
1. As above (or just install Fedora 7/i386)
2.
3.
  
Actual results:
No sound.

Expected results:
Sound work everything.

Additional info:

/etc/modprobe.conf:
% less /etc/modprobe.conf
alias eth0 e1000
alias scsi_hostadapter pata_marvell
alias scsi_hostadapter1 ata_piix
alias scsi_hostadapter2 usb-storage
alias sound-slot-0 snd-hda-intel
options snd cards_limit=8
alias snd-card-0 snd-hda-intel
options snd-hda-intel index=0
alias snd-card-7 snd-usb-audio
options snd-usb-audio index=7

I attached /root/scsconfig.log.
Comment 1 Yoshida 2007-09-21 07:33:41 EDT
Created attachment 201941 [details]
/root/scsconfig.log
Comment 2 Martin Stransky 2007-09-25 05:09:26 EDT
Hm, I don't see any problem in the log. It looks sane. No kernel / driver
errors. Can you attach /root/scsrun.log? 
Comment 3 Yoshida 2007-09-25 07:58:42 EDT
Created attachment 205391 [details]
Attachment file "/root/scsrun.log".
Comment 4 Yoshida 2007-11-11 00:52:49 EST
Yesterday I upgraded Fedora 8, but no sound cannot hear.
Once more I will send the bug report.

----

Vendor: Intel Corporation
Model: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Module: snd-hda-intel
Codec: SigmaTel STAC9227

Version-Release number of selected component (if applicable):
alsa-lib-1.0.15-1.fc8.i386
kernel-2.6.23.1-49.fc8.i686

How reproducible: 
Always

Steps to Reproduce:
1. As above (or just install Fedora 8/i386)
2. Set the below "/etc/modprobe.conf".
3.
  
Actual results:
No sound.

Expected results:
Sound work everything.

Additional info:

/etc/modprobe.conf:
% less /etc/modprobe.conf
alias eth0 e1000
alias scsi_hostadapter libata
alias scsi_hostadapter1 pata_marvell
alias scsi_hostadapter2 ata_piix
alias scsi_hostadapter3 usb-storage
options snd cards_limit=8
alias snd-card-0 snd-hda-intel
options snd-hda-intel index=0 position_fix=0 model=ref
alias snd-card-7 snd-usb-audio
options snd-usb-audio index=7
Comment 5 Yoshida 2007-11-11 00:55:40 EST
Created attachment 254231 [details]
/root/scsconfig.log
Comment 6 Yoshida 2007-11-11 00:56:05 EST
Created attachment 254241 [details]
/root/scsrun.log
Comment 7 Martin Stransky 2008-02-25 10:39:43 EST
The logs look sane. I don't know where could be the problem so I recommend you
to report it at ALSA project (www.alsa-project.org), file a new bug there and
attach the logs, too.
Comment 8 Douglas Campbell 2008-03-22 17:04:04 EDT
Same problem, but with Intel 82801G on x86-64 (HP dv9033cl laptop).

My current kernels for which problem occurs are 2.6.24.3-12.fc8 and
2.6.21.7-2.fc8xen.

Sound works properly under the 2.6.23.1-42.fc8 kernel.

Problem appears therefore to be kernel related.
Comment 9 David M 2008-04-02 19:55:02 EDT
I have the same Sound card on the same Chipset (965) (Asus P5B-Plus Motherboard)
and i have lost sound ever since 2.6.24 was released to yum. If any additional
info is required i would be happy to provide it.  
Comment 10 Yoshida 2008-05-01 09:52:06 EDT
My current kernel version is 2.6.24.5-85.fc8.
I succeeded in working sound as follows!

1. Writing /etc/modprobe.conf as follows.

% less /etc/modprobe.conf
alias eth0 e1000
alias scsi_hostadapter libata
alias scsi_hostadapter1 pata_marvell
alias scsi_hostadapter2 ata_piix
alias scsi_hostadapter3 usb-storage
options snd cards_limit=8
alias snd-card-0 snd-hda-intel
options snd-hda-intel enable=1 index=0 model=3track
alias snd-card-7 snd-usb-audio
options snd-usb-audio enable=1 index=7

2. Opening the switch tab of the GNOME volume control tool,
   and Checking "Line In as Output","Analog Loopback", and "Swap Center/LFE".

3. Executing the following.
   # aplay /usr/share/system-config-soundcard/sound-sample.wav 

4. Sound can work on Intel DG965RY!!

But the causes of the problem is unknown, the kernel problem or my sound settings...
Comment 11 Yoshida 2008-05-01 09:52:40 EDT
Created attachment 304309 [details]
/root/scsrun.log
Comment 12 Yoshida 2008-05-01 09:53:44 EDT
Created attachment 304310 [details]
/root/scsconfig.log
Comment 13 Bug Zapper 2008-11-26 02:50:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-08 23:54:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.